(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      6703,        175]
NotebookOptionsPosition[      6207,        155]
NotebookOutlinePosition[      6564,        171]
CellTagsIndexPosition[      6521,        168]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"<<", "\"\<beamlib.m\>\""}], ";"}]], "Input",
 CellChangeTimes->{{3.542290020256662*^9, 3.5422900402178917`*^9}, 
   3.543396011240086*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Nodes", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "0", ",", "0", ",", "1", ",", "1", ",", "1", ",", "0", ",", "0", ",", 
       "0"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "0", ",", "h", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       "0"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "w", ",", "h", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       "0"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "w", ",", "0", ",", "1", ",", "1", ",", "1", ",", "0", ",", "0", ",", 
       "0"}], "}"}]}], "\[IndentingNewLine]", "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.542290092745042*^9, 3.542290121063311*^9}, {
  3.542343398996039*^9, 3.5423434048635674`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Elements", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "2", ",", "E1", ",", "I1", ",", "A1"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"2", ",", "3", ",", "E1", ",", "I1", ",", "A1"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"3", ",", "4", ",", "E1", ",", "I1", ",", "A1"}], "}"}]}], 
    "\[IndentingNewLine]", "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.542290113113205*^9, 3.542290118044113*^9}, {
  3.5423434185598907`*^9, 3.542343443038618*^9}, {3.542344427522687*^9, 
  3.542344437941267*^9}, {3.542369360149599*^9, 3.542369363211109*^9}, {
  3.543158783245368*^9, 3.5431588456701097`*^9}, {3.543158883840804*^9, 
  3.5431588878868217`*^9}, {3.543158938297611*^9, 3.543158942267289*^9}, {
  3.543382720097083*^9, 3.543382721277426*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Loads", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{"2", ",", "LinearLoad", ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "w"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"q", ",", "q"}], "}"}], ",", "0.0"}], "}"}], 
    "\[IndentingNewLine]", "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.542290142632402*^9, 3.542290154281789*^9}, {
   3.542343452880946*^9, 3.5423434702052193`*^9}, {3.542344457715805*^9, 
   3.542344458965721*^9}, 3.542346964076598*^9, {3.543158712670567*^9, 
   3.543158735768413*^9}, {3.5431589274304028`*^9, 3.543158929348426*^9}, {
   3.5433826843524323`*^9, 3.543382687300767*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"s", "=", 
   RowBox[{"BeamNewStructure", "[", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"s", "=", 
   RowBox[{"BeamSetNodes", "[", 
    RowBox[{"s", ",", "Nodes"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"s", "=", 
   RowBox[{"BeamSetElements", "[", 
    RowBox[{"s", ",", "Elements"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"s", "=", 
   RowBox[{"BeamSetLoads", "[", 
    RowBox[{"s", ",", "Loads"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"s", "=", 
   RowBox[{"BeamSolve", "[", 
    RowBox[{"s", ",", "\[IndentingNewLine]", "\t", 
     RowBox[{"Assumptions", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"w", ">", "0"}], ",", 
        RowBox[{"h", ">", "0"}], ",", 
        RowBox[{"E1", ">", "0"}], ",", 
        RowBox[{"I1", ">", "0"}], ",", 
        RowBox[{"A1", ">", "0"}], ",", 
        RowBox[{"q", ">", "0"}]}], "}"}]}]}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.5422901714420223`*^9, 3.542290256883782*^9}, {
   3.542291169121852*^9, 3.5422911763861227`*^9}, {3.542291448093377*^9, 
   3.5422914544388847`*^9}, {3.5422930731816196`*^9, 3.54229307734129*^9}, {
   3.542293230005917*^9, 3.542293237833501*^9}, {3.542339850733131*^9, 
   3.542339857323638*^9}, 3.542340654125217*^9, {3.54234171538688*^9, 
   3.542341718364666*^9}, {3.542344404946394*^9, 3.5423444507219343`*^9}, {
   3.5423470603400717`*^9, 3.542347077496626*^9}, 3.542358821802964*^9, {
   3.5423680916195602`*^9, 3.542368095122815*^9}, {3.542368126685961*^9, 
   3.5423681285534487`*^9}, {3.5423681896283827`*^9, 3.542368195041341*^9}, {
   3.542368523295298*^9, 3.542368525139471*^9}, {3.542368581486867*^9, 
   3.542368582932043*^9}, {3.542368871234562*^9, 3.542368875434404*^9}, {
   3.542368912236862*^9, 3.5423689143227663`*^9}, {3.54236920787088*^9, 
   3.542369236050432*^9}, {3.542369329950536*^9, 3.542369330299211*^9}, {
   3.542369365832069*^9, 3.542369406531534*^9}, {3.542369452934147*^9, 
   3.542369473607469*^9}, {3.542454460147027*^9, 3.54245451917948*^9}, {
   3.542454665967464*^9, 3.542454667273777*^9}, {3.5431589869253407`*^9, 
   3.543158988442075*^9}, {3.543382704573497*^9, 3.543382706088101*^9}, {
   3.54338274577248*^9, 3.54338276324782*^9}}],

Cell[BoxData[
 RowBox[{"BeamElementResults", "[", 
  RowBox[{"s", ",", 
   RowBox[{"TitleColor", "\[Rule]", 
    RowBox[{"Lighter", "[", "Red", "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.5423418405763283`*^9, 3.542341846273252*^9}, {
  3.5423418961972923`*^9, 3.5423419257629433`*^9}, {3.5423429569584837`*^9, 
  3.542342992467552*^9}}],

Cell[BoxData[
 RowBox[{"BeamNodeResults", "[", 
  RowBox[{"s", ",", 
   RowBox[{"RowColors", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"LightRed", ",", 
      RowBox[{"Lighter", "[", "Cyan", "]"}]}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.5423432538333406`*^9, 3.5423432613616533`*^9}, {
  3.542369485967804*^9, 3.542369546725559*^9}}]
},
WindowSize->{1242, 951},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
ShowSelection->True,
FrontEndVersion->"7.0 for Linux x86 (64-bit) (November 11, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 173, 4, 31, "Input"],
Cell[721, 26, 884, 22, 132, "Input"],
Cell[1608, 50, 909, 19, 112, "Input"],
Cell[2520, 71, 688, 15, 72, "Input"],
Cell[3211, 88, 2296, 46, 132, "Input"],
Cell[5510, 136, 343, 7, 31, "Input"],
Cell[5856, 145, 347, 8, 31, "Input"]
}
]
*)

(* End of internal cache information *)
